%define name	seq24
%define version 0.8.6
%define release %mkrel 2

Name: 	 	%{name}
Summary: 	Minimalistic, loop-based MIDI sequencer
Version: 	%{version}
Release: 	%{release}

Source:		http://www.filter24.org/seq24/%{name}-%{version}.tar.bz2
URL:		http://www.filter24.org/seq24/
License:	GPL
Group:		Sound
BuildRoot:	%{_tmppath}/%{name}-buildroot
#BuildRequires:	libgtkmm-devel 
BuildRequires:  libalsa-devel
BuildRequires:  gtkmm2.4-devel

%description
Seq24 is a real-time midi sequencer. It was created to provide a very simple
interface for editing and playing midi 'loops'. After searching for a software
based sequencer that would provide the functionality needed for a live techno
performance, such as the Akai MPC line, the Kawai Q80 sequencer, or the
popular Alesis MMT-8, I found nothing similar in the software realm. I set out
to create a very minimal sequencer that excludes the bloated features of the
large software sequencers, and includes a small subset of features that I have
found usable in performing.

%prep
%setup -q

%build
%configure2_5x
perl -pi -e "s#LASH_LIBS = -Wl,--rpath -Wl,/usr/lib#LASH_LIBS = #" src/Makefile

%make
										
%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

#menu
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}): command="%{name}" \
	icon="sound_section.png" \
	needs="x11" \
	title="Seq24" \
	longtitle="Loop-based MIDI sequencer" \
	section="Multimedia/Sound" \
	xdg="true"
EOF

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/mandriva-%{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=Seq24
Comment=Loop-based MIDI sequencer
Exec=%{_bindir}/%{name}
Icon=%{name}
Terminal=false
Type=Application
StartupNotify=true
Categories=GNOME;GTK;AudioVideo;Audio;X-MandrivaLinux-Multimedia-Sound;
EOF

%find_lang %name

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_menus
		
%postun
%clean_menus

%files -f %{name}.lang
%defattr(-,root,root)
%doc README AUTHORS ChangeLog COPYING RTC SEQ24
%{_bindir}/%name
%{_bindir}/dump
%{_menudir}/%name
%{_datadir}/applications/mandriva-%{name}.desktop


%changelog
* Wed Jun 13 2007 Austin Acton <austin@mandriva.org> 0.8.6-2mdv2008.0
+ Revision: 38926
- rebuild to close bug #26892
- Import seq24



* Wed Jun 28 2006 Guillaume Bedot <littletux@mandriva.org> 0.8.6-1mdv2007.0
- 0.8.6
- add dump binary
- fix buildrequires
- xdg menu
- remove rpath

* Mon Oct 10 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.7.0-2mdk
- Fix BuildRequires
- %%mkrel 

* Sun Oct 09 2005 Austin Acton <austin@mandriva.org> 0.7.0-1mdk
- New release 0.7.0

* Thu Aug 25 2005 Austin Acton <austin@mandriva.org> 0.6.3-1mdk
- New release 0.6.3

* Fri Feb 26 2005 Austin Acton <austin@mandrake.org> 0.6.1-1mdk
- 0.6.1
- source URL

* Thu Jan 13 2005 Austin Acton <austin@mandrake.org> 0.6.0-1mdk
- 0.6.0

* Tue Jul 13 2004 Austin Acton <austin@mandrake.org> 0.5.1-1mdk
- 0.5.1

* Wed Jun 16 2004 Austin Acton <austin@mandrake.org> 0.5.0-1mdk
- 0.5.0
- configure 2.5

* Mon Feb 16 2004 Austin Acton <austin@mandrake.org> 0.4.4-1mdk
- 0.4.4

* Wed May 14 2003 Austin Acton <aacton@yorku.ca> 0.4.2-1mdk
- initial package
